Commit 475b1ae9 authored by Leif Walsh's avatar Leif Walsh Committed by Yoni Fogel

refs #5949 make recovery_fileops_unit clean up after itself, might solve the...

refs #5949 make recovery_fileops_unit clean up after itself, might solve the space problem on the mac machine


git-svn-id: file:///svn/toku/tokudb@52809 c7de825b-a66e-492c-adef-691d508d4ae1
parent 01fe59ed
...@@ -241,6 +241,7 @@ env_shutdown(void) { ...@@ -241,6 +241,7 @@ env_shutdown(void) {
int r; int r;
r = env->close(env, 0); r = env->close(env, 0);
CKERR(r); CKERR(r);
toku_os_recursive_delete(TOKU_TEST_FILENAME);
} }
static void static void
...@@ -607,5 +608,3 @@ test_main(int argc, char * const argv[]) { ...@@ -607,5 +608,3 @@ test_main(int argc, char * const argv[]) {
recover_and_verify(); recover_and_verify();
return 0; return 0;
} }
...@@ -12,4 +12,5 @@ $bin -X novalgrind -c $@ 2> $errorfile ...@@ -12,4 +12,5 @@ $bin -X novalgrind -c $@ 2> $errorfile
test $? -eq $abortcode || { cat $errorfile; echo Error: no crash in $errorfile; exit 1; } test $? -eq $abortcode || { cat $errorfile; echo Error: no crash in $errorfile; exit 1; }
set -e set -e
grep -q 'HAPPY CRASH' $errorfile || { cat $errorfile; echo Error: incorrect crash in $errorfile; exit 1; } grep -q 'HAPPY CRASH' $errorfile || { cat $errorfile; echo Error: incorrect crash in $errorfile; exit 1; }
rm -f $errorfile
exec $bin -r $@ exec $bin -r $@
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment